VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsSeleccionar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private WithEvents oEventosInteracc As InteractionEvents
Attribute oEventosInteracc.VB_VarHelpID = -1
Private WithEvents oEventosSelecc As SelectEvents
Attribute oEventosSelecc.VB_VarHelpID = -1
Private m_Flt As SelectionFilterEnum
Private m_Msj As String
Private bolEnSeleccion As Boolean

Public Property Get Filtro() As SelectionFilterEnum
    Filtro = m_Flt
End Property

Public Property Let Filtro(ByVal eFiltro As SelectionFilterEnum)
    m_Flt = eFiltro
End Property

Public Property Get Mensaje() As String
    Mensaje = m_Msj
End Property

Public Property Let Mensaje(ByVal sMensaje As String)
    m_Msj = sMensaje
End Property

Private Sub Class_Initialize()
    Filtro = kPartDefaultFilter
    Mensaje = "Seleccione una entidad"
End Sub


Private Sub oEventosSelecc_OnSelect(ByVal JustSelectedEntities As ObjectsEnumerator, ByVal SelectionDevice As SelectionDeviceEnum, ByVal ModelPosition As Point, ByVal ViewPosition As Point2d, ByVal View As View)
    bolEnSeleccion = False
End Sub


Public Function Designa() As ObjectsEnumerator
    bolEnSeleccion = True
    Set oEventosInteracc = ThisApplication.CommandManager.CreateInteractionEvents
    oEventosInteracc.SelectionActive = True
    oEventosInteracc.StatusBarText = m_Msj
    Set oEventosSelecc = oEventosInteracc.SelectEvents
    oEventosSelecc.AddSelectionFilter m_Flt
    oEventosInteracc.Start
    Do While bolEnSeleccion
        DoEvents
    Loop
    Set Designa = oEventosSelecc.SelectedEntities
    oEventosInteracc.Stop
    Set oEventosSelecc = Nothing
    Set oEventosInteracc = Nothing
End Function

Private Sub oInteraccion_OnTerminate()
     ' Indicador de que hemos concluido.
    bolEnSeleccion = False
    Set oEventosSelecc = Nothing
    Set oEventosInteracc = Nothing
End Sub
